InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::RadioConfig Struct Reference
Inheritance diagram for inertia::RadioConfig:
[legend]
Collaboration diagram for inertia::RadioConfig:
[legend]

## Public Member Functions
| RadioConfig (uint8_t const *in)
| RadioConfig (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
ConfigType | GetConfigType () const override
const std::wstring | ToString () const override
const std::wstring | ToSimpleString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()
static unsigned | GetLength (uint8_t const *in)

## Public Attributes
bool | highGain
bool | listenAllSlots
bool | radioEnabled
bool | worEnabled
RadioConfigVersion | radioConfigVersion
RadioChip | radioChip
uint8_t | transmitPower
int8_t | transmitdBm
uint8_t | channel
uint16_t | slotFrequency
uint8_t | nSlots
uint16_t | transmissionRate
uint8_t | worEventChannel

## Additional Inherited Members
Protected Member Functions inherited from inertia::LegacyConfig
| LegacyConfig (uint8_t const *in)
| LegacyConfig (std::wstring const &argString)
Protected Member Functions inherited from inertia::AbstractConfig
| AbstractConfig (uint8_t const *in)
| AbstractConfig (std::wstring const &argString)
| AbstractConfig (AbstractConfig const &)=default
AbstractConfig & | operator= (AbstractConfig const &)=default

## Member Function Documentation

## ◆ GetBytes()

void inertia::RadioConfig::GetBytes | ( | std::vector< uint8_t > & | out | ) | const
| override virtual

Implements inertia::AbstractConfig.

## ◆ GetConfigType()

ConfigType inertia::RadioConfig::GetConfigType | ( |  | ) | const
| override virtual

Implements inertia::AbstractConfig.

## ◆ ToString()

const std::wstring inertia::RadioConfig::ToString | ( |  | ) | const
| override virtual

Implements inertia::AbstractConfig.

The documentation for this struct was generated from the following file:

- RadioConfig.h